Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class SwingTimerFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          org.codehaus.groovy.binding.SwingTimerFullBinding

All Implemented Interfaces:
  ActionListener

    class SwingTimerFullBinding
    extends AbstractFullBinding

author:
  Danno Ferrin

version:
  $Revision: 7797 $

since:
  Groovy 1.1

Field Summary
`boolean` | `bound`
`long` | `duration`
`boolean` | `repeat`
`boolean` | `reportElapsed`
`boolean` | `reportFraction`
`boolean` | `reportSteps`
`long` | `startTime`
`int` | `stepSize`
`Timer` | `timer`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`SwingTimerFullBinding(ClosureSourceBinding source, TargetBinding target)`
`SwingTimerFullBinding(SourceBinding source, TargetBinding target, int interval, int duration)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`void` | `bind()`
`long` | `getDuration()`
`int` | `getInterval()`
`int` | `getStepSize()`
`boolean` | `isCoalesce()`
`boolean` | `isRepeat()`
`boolean` | `isReportElapsed()`
`boolean` | `isReportFraction()`
`boolean` | `isReportSteps()`
`void` | `rebind()`
`void` | `resetTimer()`
`void` | `setCoalesce(boolean coalesce)`
`void` | `setDuration(long duration)`
`void` | `setInterval(int interval)`
`void` | `setRepeat(boolean repeat)`
`void` | `setReportElapsed(boolean reportElapsed)`
`void` | `setReportFraction(boolean reportFraction)`
`void` | `setReportSteps(boolean reportSteps)`
`void` | `setStepSize(int stepSize)`
`void` | `unbind()`

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### bound

    boolean bound

### duration

    long duration

### repeat

    boolean repeat

### reportElapsed

    boolean reportElapsed

### reportFraction

    boolean reportFraction

### reportSteps

    boolean reportSteps

### startTime

    long startTime

### stepSize

    int stepSize

### timer

    Timer timer

Constructor Detail

### SwingTimerFullBinding

    public SwingTimerFullBinding(ClosureSourceBinding source, TargetBinding target)

### SwingTimerFullBinding

    public SwingTimerFullBinding(SourceBinding source, TargetBinding target, int interval, int duration)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

### bind

    public void bind()

### getDuration

    public long getDuration()

### getInterval

    public int getInterval()

### getStepSize

    public int getStepSize()

### isCoalesce

    public boolean isCoalesce()

### isRepeat

    public boolean isRepeat()

### isReportElapsed

    public boolean isReportElapsed()

### isReportFraction

    public boolean isReportFraction()

### isReportSteps

    public boolean isReportSteps()

### rebind

    public void rebind()

### resetTimer

    public void resetTimer()

### setCoalesce

    public void setCoalesce(boolean coalesce)

### setDuration

    public void setDuration(long duration)

### setInterval

    public void setInterval(int interval)

### setRepeat

    public void setRepeat(boolean repeat)

### setReportElapsed

    public void setReportElapsed(boolean reportElapsed)

### setReportFraction

    public void setReportFraction(boolean reportFraction)

### setReportSteps

    public void setReportSteps(boolean reportSteps)

### setStepSize

    public void setStepSize(int stepSize)

### unbind

    public void unbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.